Minggu, 23 September 2018

How to fix Cannot retrieve repository metadata (repomd.xml) for repository: epel. redhat 6

  Tidak ada komentar
Some day i get an issue when install the openssh-client on my redhat 6 machine
[[email protected] ~]# yum install openssh-clients
Loaded plugins: product-id
Setting up Install Process
centos                                                   | 3.7 kB     00:00
centos/primary_db                                        | 4.7 MB     00:01
Error: Cannot retrieve repository metadata (repomd.xml) for repository: epel. Please verify its path and try again
[[email protected] ~]#
I got the sollution from website that we have to update nss package with ignoring epel repo, we update because the nss package is too old to can communicate with fedora repositories, update the nss package with following command line
[[email protected] yum.repos.d]# sudo yum --disablerepo="epel" update nss
Loaded plugins: product-id
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package nss.x86_64 0:3.16.1-14.el6 will be updated
--> Processing Dependency: nss = 3.16.1-14.el6 for package: nss-sysinit-3.16.1-14.el6.x86_64
--> Processing Dependency: nss(x86-64) = 3.16.1-14.el6 for package: nss-tools-3.16.1-14.el6.x86_64
---> Package nss.x86_64 0:3.36.0-8.el6 will be an update
--> Processing Dependency: nss-util >= 3.36.0 for package: nss-3.36.0-8.el6.x86_64
--> Processing Dependency: nss-softokn(x86-64) >= 3.14.3-22 for package: nss-3.36.0-8.el6.x86_64
--> Processing Dependency: nspr >= 4.19.0 for package: nss-3.36.0-8.el6.x86_64
--> Processing Dependency: libnssutil3.so(NSSUTIL_3.33)(64bit) for package: nss-3.36.0-8.el6.x86_64
--> Processing Dependency: libnssutil3.so(NSSUTIL_3.31)(64bit) for package: nss-3.36.0-8.el6.x86_64
--> Processing Dependency: libnssutil3.so(NSSUTIL_3.24)(64bit) for package: nss-3.36.0-8.el6.x86_64
--> Processing Dependency: libnssutil3.so(NSSUTIL_3.21)(64bit) for package: nss-3.36.0-8.el6.x86_64
--> Running transaction check
---> Package nspr.x86_64 0:4.10.6-1.el6_5 will be updated
---> Package nspr.x86_64 0:4.19.0-1.el6 will be an update
---> Package nss-softokn.x86_64 0:3.14.3-17.el6 will be updated
---> Package nss-softokn.x86_64 0:3.14.3-23.3.el6_8 will be an update
--> Processing Dependency: nss-softokn-freebl(x86-64) >= 3.14.3-23.3.el6_8 for package: nss-softokn-3.14.3-23.3.el6_8.x86_64
---> Package nss-sysinit.x86_64 0:3.16.1-14.el6 will be updated
---> Package nss-sysinit.x86_64 0:3.36.0-8.el6 will be an update
---> Package nss-tools.x86_64 0:3.16.1-14.el6 will be updated
---> Package nss-tools.x86_64 0:3.36.0-8.el6 will be an update
---> Package nss-util.x86_64 0:3.16.1-3.el6 will be updated
---> Package nss-util.x86_64 0:3.36.0-1.el6 will be an update
--> Running transaction check
---> Package nss-softokn-freebl.x86_64 0:3.14.3-17.el6 will be updated
---> Package nss-softokn-freebl.x86_64 0:3.14.3-23.3.el6_8 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                 Arch        Version                  Repository   Size
================================================================================
Updating:
 nss                     x86_64      3.36.0-8.el6             centos      865 k
Updating for dependencies:
 nspr                    x86_64      4.19.0-1.el6             centos      114 k
 nss-softokn             x86_64      3.14.3-23.3.el6_8        centos      262 k
 nss-softokn-freebl      x86_64      3.14.3-23.3.el6_8        centos      168 k
 nss-sysinit             x86_64      3.36.0-8.el6             centos       52 k
 nss-tools               x86_64      3.36.0-8.el6             centos      460 k
 nss-util                x86_64      3.36.0-1.el6             centos       72 k

Transaction Summary
================================================================================
Upgrade       7 Package(s)

Total download size: 1.9 M
Is this ok [y/N]: y
Downloading Packages:
(1/7): nspr-4.19.0-1.el6.x86_64.rpm                      | 114 kB     00:00
(2/7): nss-3.36.0-8.el6.x86_64.rpm                       | 865 kB     00:02
(3/7): nss-softokn-3.14.3-23.3.el6_8.x86_64.rpm          | 262 kB     00:01
(4/7): nss-softokn-freebl-3.14.3-23.3.el6_8.x86_64.rpm   | 168 kB     00:01
(5/7): nss-sysinit-3.36.0-8.el6.x86_64.rpm               |  52 kB     00:00
(6/7): nss-tools-3.36.0-8.el6.x86_64.rpm                 | 460 kB     00:01
(7/7): nss-util-3.36.0-1.el6.x86_64.rpm                  |  72 kB     00:00
--------------------------------------------------------------------------------
Total                                           112 kB/s | 1.9 MB     00:17
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating   : nspr-4.19.0-1.el6.x86_64                                    1/14
  Updating   : nss-util-3.36.0-1.el6.x86_64                                2/14
  Updating   : nss-softokn-freebl-3.14.3-23.3.el6_8.x86_64                 3/14
  Updating   : nss-softokn-3.14.3-23.3.el6_8.x86_64                        4/14
  Updating   : nss-sysinit-3.36.0-8.el6.x86_64                             5/14
  Updating   : nss-3.36.0-8.el6.x86_64                                     6/14
  Updating   : nss-tools-3.36.0-8.el6.x86_64                               7/14
  Cleanup    : nss-tools-3.16.1-14.el6.x86_64                              8/14
  Cleanup    : nss-sysinit-3.16.1-14.el6.x86_64                            9/14
  Cleanup    : nss-3.16.1-14.el6.x86_64                                   10/14
  Cleanup    : nss-softokn-3.14.3-17.el6.x86_64                           11/14
  Cleanup    : nss-util-3.16.1-3.el6.x86_64                               12/14
  Cleanup    : nspr-4.10.6-1.el6_5.x86_64                                 13/14
  Cleanup    : nss-softokn-freebl-3.14.3-17.el6.x86_64                    14/14
  Verifying  : nss-3.36.0-8.el6.x86_64                                     1/14
  Verifying  : nss-util-3.36.0-1.el6.x86_64                                2/14
  Verifying  : nss-softokn-3.14.3-23.3.el6_8.x86_64                        3/14
  Verifying  : nss-softokn-freebl-3.14.3-23.3.el6_8.x86_64                 4/14
  Verifying  : nspr-4.19.0-1.el6.x86_64                                    5/14
  Verifying  : nss-sysinit-3.36.0-8.el6.x86_64                             6/14
  Verifying  : nss-tools-3.36.0-8.el6.x86_64                               7/14
  Verifying  : nss-sysinit-3.16.1-14.el6.x86_64                            8/14
  Verifying  : nspr-4.10.6-1.el6_5.x86_64                                  9/14
  Verifying  : nss-softokn-3.14.3-17.el6.x86_64                           10/14
  Verifying  : nss-util-3.16.1-3.el6.x86_64                               11/14
  Verifying  : nss-3.16.1-14.el6.x86_64                                   12/14
  Verifying  : nss-tools-3.16.1-14.el6.x86_64                             13/14
  Verifying  : nss-softokn-freebl-3.14.3-17.el6.x86_64                    14/14

Updated:
  nss.x86_64 0:3.36.0-8.el6

Dependency Updated:
  nspr.x86_64 0:4.19.0-1.el6
  nss-softokn.x86_64 0:3.14.3-23.3.el6_8
  nss-softokn-freebl.x86_64 0:3.14.3-23.3.el6_8
  nss-sysinit.x86_64 0:3.36.0-8.el6
  nss-tools.x86_64 0:3.36.0-8.el6
  nss-util.x86_64 0:3.36.0-1.el6

Complete!
[[email protected] yum.repos.d]#

Install the open-ssh client with enable centos repo as shown on following figure
[[email protected] yum.repos.d]#
[[email protected] yum.repos.d]# yum --enablerepo=centos install openssh-clients
Loaded plugins: product-id
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package openssh-clients.x86_64 0:5.3p1-123.el6_9 will be installed
--> Processing Dependency: openssh = 5.3p1-123.el6_9 for package: openssh-clients-5.3p1-123.el6_9.x86_64
--> Processing Dependency: libedit.so.0()(64bit) for package: openssh-clients-5.3p1-123.el6_9.x86_64
--> Running transaction check
---> Package libedit.x86_64 0:2.11-4.20080712cvs.1.el6 will be installed
---> Package openssh.x86_64 0:5.3p1-104.el6 will be updated
--> Processing Dependency: openssh = 5.3p1-104.el6 for package: openssh-server-5.3p1-104.el6.x86_64
---> Package openssh.x86_64 0:5.3p1-123.el6_9 will be an update
--> Running transaction check
---> Package openssh-server.x86_64 0:5.3p1-104.el6 will be updated
---> Package openssh-server.x86_64 0:5.3p1-123.el6_9 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package             Arch       Version                        Repository  Size
================================================================================
Installing:
 openssh-clients     x86_64     5.3p1-123.el6_9                centos     444 k
Installing for dependencies:
 libedit             x86_64     2.11-4.20080712cvs.1.el6       centos      74 k
Updating for dependencies:
 openssh             x86_64     5.3p1-123.el6_9                centos     277 k
 openssh-server      x86_64     5.3p1-123.el6_9                centos     329 k

Transaction Summary
================================================================================
Install       2 Package(s)
Upgrade       2 Package(s)

Total download size: 1.1 M
Is this ok [y/N]: y
Downloading Packages:
(1/4): libedit-2.11-4.20080712cvs.1.el6.x86_64.rpm       |  74 kB     00:00
(2/4): openssh-5.3p1-123.el6_9.x86_64.rpm                | 277 kB     00:00
(3/4): openssh-clients-5.3p1-123.el6_9.x86_64.rpm        | 444 kB     00:00
(4/4): openssh-server-5.3p1-123.el6_9.x86_64.rpm         | 329 kB     00:00
--------------------------------------------------------------------------------
Total                                           1.7 MB/s | 1.1 MB     00:00
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating   : openssh-5.3p1-123.el6_9.x86_64                               1/6
  Installing : libedit-2.11-4.20080712cvs.1.el6.x86_64                      2/6
  Installing : openssh-clients-5.3p1-123.el6_9.x86_64                       3/6
  Updating   : openssh-server-5.3p1-123.el6_9.x86_64                        4/6
  Cleanup    : openssh-server-5.3p1-104.el6.x86_64                          5/6
  Cleanup    : openssh-5.3p1-104.el6.x86_64                                 6/6
  Verifying  : openssh-clients-5.3p1-123.el6_9.x86_64                       1/6
  Verifying  : libedit-2.11-4.20080712cvs.1.el6.x86_64                      2/6
  Verifying  : openssh-5.3p1-123.el6_9.x86_64                               3/6
  Verifying  : openssh-server-5.3p1-123.el6_9.x86_64                        4/6
  Verifying  : openssh-server-5.3p1-104.el6.x86_64                          5/6
  Verifying  : openssh-5.3p1-104.el6.x86_64                                 6/6

Installed:
  openssh-clients.x86_64 0:5.3p1-123.el6_9

Dependency Installed:
  libedit.x86_64 0:2.11-4.20080712cvs.1.el6

Dependency Updated:
  openssh.x86_64 0:5.3p1-123.el6_9    openssh-server.x86_64 0:5.3p1-123.el6_9

Complete!
[[email protected] yum.repos.d]#
The ssh client successfully installed

Source : 

https://unix.stackexchange.com/questions/148144/unable-to-pull-epel-repository-metadata

Tidak ada komentar :

Posting Komentar